=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2011-02-01 17:40:07 +0000
+++ client/drizzletest.cc	2011-02-04 17:01:43 +0000
@@ -3522,25 +3522,7 @@
     }
     else
     {
-      long val;
-      char *start= p;
-      /* Check that the string passed to str2int only contain digits */
-      while (*p && p != end)
-      {
-        if (!my_isdigit(charset_info, *p))
-          die("Invalid argument to error: '%s' - "              \
-              "the errno may only consist of digits[0-9]",
-              command->first_argument);
-        p++;
-      }
-
-      /* Convert the sting to int */
-      istringstream buff(start);
-      if ((buff >> val).fail())
-        die("Invalid argument to error: '%s'", command->first_argument);
-
-      to->code.errnum= (uint32_t) val;
-      to->type= ERR_ERRNO;
+      die ("You must either use the SQLSTATE or built in drizzle error label, numbers are not accepted");
     }
     to++;
     count++;

=== modified file 'plugin/transaction_log/tests/t/savepoint.test'
--- plugin/transaction_log/tests/t/savepoint.test	2010-12-30 20:12:15 +0000
+++ plugin/transaction_log/tests/t/savepoint.test	2011-02-04 17:01:43 +0000
@@ -50,7 +50,7 @@
 sleep 1;
 
 connection con1;
---ERROR 1213
+--ERROR ER_LOCK_DEADLOCK
 DELETE FROM t2 WHERE a > 0;
 
 --echo
@@ -71,7 +71,7 @@
 SELECT * FROM DATA_DICTIONARY.USER_DEFINED_SAVEPOINTS;
 --echo
 UPDATE t3 SET b = 'TRX1c' WHERE a > 7;
---ERROR 1305
+--ERROR ER_SP_DOES_NOT_EXIST
 ROLLBACK TO SAVEPOINT A;
 COMMIT;
 

=== modified file 'plugin/transaction_log/tests/t/transaction_log_data_type.test'
--- plugin/transaction_log/tests/t/transaction_log_data_type.test	2011-01-26 21:05:29 +0000
+++ plugin/transaction_log/tests/t/transaction_log_data_type.test	2011-02-04 17:01:43 +0000
@@ -188,7 +188,7 @@
 --echo
 
 --echo Testing misc DECIMAL simple2
---ERROR 1265 
+--ERROR ER_WARN_DATA_TRUNCATED
 INSERT INTO t1 (b) VALUES(.0898);
 --source ../plugin/transaction_log/tests/t/check_transaction_log.inc
 --echo
@@ -238,7 +238,7 @@
 --echo
 
 --echo Testing BAD INPUT FLOAT simple
---ERROR 1265
+--ERROR ER_WARN_DATA_TRUNCATED
 INSERT INTO t1 (b) VALUES('abbazabba');
 --source ../plugin/transaction_log/tests/t/check_transaction_log.inc
 --echo
@@ -306,7 +306,7 @@
 --echo
 
 --echo Testing BAD INPUT ENUM simple
---ERROR 1691 
+--ERROR ER_INVALID_ENUM_VALUE
 INSERT INTO t1 (b) VALUES(6);
 --source ../plugin/transaction_log/tests/t/check_transaction_log.inc
 --echo
@@ -618,7 +618,7 @@
 --echo
 
 --echo Testing MAX DECIMAL + 1
---ERROR 1264
+--ERROR ER_WARN_DATA_OUT_OF_RANGE
 INSERT INTO t1 (b) VALUES (999999999999999999999999999999999999999999999999999999999999999990);
 --source ../plugin/transaction_log/tests/t/check_transaction_log.inc
 --echo
@@ -645,7 +645,7 @@
 --echo
 
 --echo Too long value
---ERROR 1265
+--ERROR ER_WARN_DATA_TRUNCATED
 INSERT INTO t1 (b) VALUES (99999999999999999999999999999999999.9999999999999999999999999999991);
 --source ../plugin/transaction_log/tests/t/check_transaction_log.inc
 --echo

=== modified file 'plugin/transaction_log/tests/t/transaction_log_delete.test'
--- plugin/transaction_log/tests/t/transaction_log_delete.test	2010-10-28 21:31:13 +0000
+++ plugin/transaction_log/tests/t/transaction_log_delete.test	2011-02-04 17:01:43 +0000
@@ -178,7 +178,7 @@
 
 INSERT INTO t2 (b) VALUES (1),(2),(3),(4),(5),(6),(7),(8),(9),(10),(100),(101);
 
---ERROR 1451
+--ERROR ER_ROW_IS_REFERENCED_2
 DELETE FROM t1 WHERE b%2=0;
 --source ../plugin/transaction_log/tests/t/check_transaction_log.inc
 --echo

=== modified file 'plugin/transaction_log/tests/t/transaction_log_transaction.test'
--- plugin/transaction_log/tests/t/transaction_log_transaction.test	2010-12-29 04:01:32 +0000
+++ plugin/transaction_log/tests/t/transaction_log_transaction.test	2011-02-04 17:01:43 +0000
@@ -103,7 +103,7 @@
 INSERT INTO t1 (b) VALUES (1),(2),(3),(4),(5),(6),(7),(8),(9),(10),(100),(101);
 
 UPDATE t1 SET b = b*10 WHERE b%2=0;
---ERROR 1366
+--ERROR ER_TRUNCATED_WRONG_VALUE_FOR_FIELD
 INSERT INTO t1 (b) VALUES ('this_will_fail');
 COMMIT;
 
@@ -168,7 +168,7 @@
 --echo connection1
 --echo start insert on t2 then commit after default connection does some work
 START TRANSACTION;
---ERROR 1366
+--ERROR ER_TRUNCATED_WRONG_VALUE_FOR_FIELD
 INSERT INTO t2 (b) VALUES (100),(1000),(10),(50),('fail_panda');
 
 connection default;

=== modified file 'plugin/transaction_log/tests/t/transaction_log_update.test'
--- plugin/transaction_log/tests/t/transaction_log_update.test	2010-12-07 21:25:12 +0000
+++ plugin/transaction_log/tests/t/transaction_log_update.test	2011-02-04 17:01:43 +0000
@@ -211,7 +211,7 @@
 
 INSERT INTO t2 (b) VALUES (1),(2),(3),(4),(5),(6),(7),(8),(9),(10),(100),(101);
 
---ERROR 1451
+--ERROR ER_ROW_IS_REFERENCED_2
 UPDATE t1 SET b = b*10 WHERE b%2=0;
 --source ../plugin/transaction_log/tests/t/check_transaction_log.inc
 --echo

=== modified file 'tests/include/deadlock.inc'
--- tests/include/deadlock.inc	2010-03-03 20:57:45 +0000
+++ tests/include/deadlock.inc	2011-02-04 17:01:43 +0000
@@ -157,7 +157,7 @@
 
 create table A (c int);
 insert into A (c) values (0);
---error 0,ER_LOCK_DEADLOCK,ER_UPDATE_TABLE_USED
+--error EE_OK,ER_LOCK_DEADLOCK,ER_UPDATE_TABLE_USED
 create table a as select * from A;
 drop table A;
 

